## Update namespace. `client.aiSearch.namespaces.update(stringname, NamespaceUpdateParamsparams?, RequestOptionsoptions?): NamespaceUpdateResponse` **put** `/accounts/{account_id}/ai-search/namespaces/{name}` Update namespace. ### Parameters - `name: string` - `params: NamespaceUpdateParams` - `account_id?: string` Path param - `description?: string | null` Body param: Optional description for the namespace. Max 256 characters. ### Returns - `NamespaceUpdateResponse` - `created_at: string` - `name: string` - `description?: string | null` Optional description for the namespace. Max 256 characters. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const namespace = await client.aiSearch.namespaces.update('production', { account_id: 'c3dc5f0b34a14ff8e1b3ec04895e1b22', }); console.log(namespace.created_at); ``` #### Response ```json { "result": { "created_at": "2019-12-27T18:11:19.117Z", "name": "production", "description": "Production environment" }, "success": true } ```